varying vec2 		texcoord;
uniform sampler2D 	tex;
uniform sampler2D 	lum;

void main()
{
	vec4 color=texture2D(tex,texcoord.st);
	float lumColor=texture2D(lum, texcoord.st).r;

	gl_FragColor.xyz = color.xyz*(1.0/(lumColor + 0.001)); //mix(color.xyz,sharpened.xyz,0.1);
}
